Gentoo Archives: gentoo-commits

From: Mike Pagano <mpagano@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] repo/gentoo:master commit in: app-forensics/lynis/
Date: Wed, 18 May 2022 11:38:00
Message-Id: 1652873855.dfbe02a2df6619d7c4aba3fccfa801be0af85a9f.mpagano@gentoo
1 commit: dfbe02a2df6619d7c4aba3fccfa801be0af85a9f
2 Author: Mike Pagano <mpagano <AT> gentoo <DOT> org>
3 AuthorDate: Wed May 18 11:37:35 2022 +0000
4 Commit: Mike Pagano <mpagano <AT> gentoo <DOT> org>
5 CommitDate: Wed May 18 11:37:35 2022 +0000
6 URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=dfbe02a2
7
8 app-forensics/lynis: add 3.0.8
9
10 Signed-off-by: Mike Pagano <mpagano <AT> gentoo.org>
11
12 app-forensics/lynis/Manifest | 1 +
13 app-forensics/lynis/lynis-3.0.8.ebuild | 72 ++++++++++++++++++++++++++++++++++
14 2 files changed, 73 insertions(+)
15
16 diff --git a/app-forensics/lynis/Manifest b/app-forensics/lynis/Manifest
17 index 0647b525cc80..8422be0db7b7 100644
18 --- a/app-forensics/lynis/Manifest
19 +++ b/app-forensics/lynis/Manifest
20 @@ -1 +1,2 @@
21 DIST lynis-3.0.7.tar.gz 338212 BLAKE2B d9cddcba9c83ddee08ea38c8e80bf6f0a78179ad102673a876a1fe3d4544612e945d8637a8d026ce7bff72b09d6274223031e1cb6fc74596b2c65f0380fecd67 SHA512 c65d42071a48b15c2f16ceaf30404db0dac740c4cc6109442a0757e0576f794ebaf9430547eb1a0a452ce85993f00e8779ce2c4ffc47c206d674b8fd2cb02e3a
22 +DIST lynis-3.0.8.tar.gz 339467 BLAKE2B 490bd6799619a4247c3fa68cc96f2f1fead651b23db0ffb512394960f8ca0360ab7f25d2bb8d9e742641558972e1fdd4b1e18d7de0d13007988276eed3a97b1f SHA512 df41aa8b7518a72ee17732eb7e69ccc62ca6e1323d3adc7aec509cd1c21494fece873e101bc317655dafbf58b32699f56dd27eec13a2ce615801cee75961cd33
23
24 diff --git a/app-forensics/lynis/lynis-3.0.8.ebuild b/app-forensics/lynis/lynis-3.0.8.ebuild
25 new file mode 100644
26 index 000000000000..6209f7360914
27 --- /dev/null
28 +++ b/app-forensics/lynis/lynis-3.0.8.ebuild
29 @@ -0,0 +1,72 @@
30 +# Copyright 1999-2022 Gentoo Authors
31 +# Distributed under the terms of the GNU General Public License v2
32 +
33 +EAPI="7"
34 +
35 +inherit bash-completion-r1 systemd
36 +
37 +DESCRIPTION="Security and system auditing tool"
38 +HOMEPAGE="https://cisofy.com/lynis/"
39 +SRC_URI="https://cisofy.com/files/${P}.tar.gz"
40 +
41 +LICENSE="GPL-3"
42 +SLOT="0"
43 +KEYWORDS="~amd64 ~x86"
44 +IUSE="+cron systemd"
45 +
46 +DEPEND=""
47 +RDEPEND="
48 + app-shells/bash
49 + !systemd? ( virtual/cron )"
50 +
51 +S="${WORKDIR}/${PN}"
52 +
53 +src_install() {
54 + doman lynis.8
55 + dodoc FAQ README
56 + newdoc CHANGELOG.md CHANGELOG
57 +
58 + # Remove the old one during the next stabilize progress
59 + exeinto /etc/cron.daily
60 + newexe "${FILESDIR}"/lynis.cron-new lynis
61 +
62 + dobashcomp extras/bash_completion.d/lynis
63 +
64 + # stricter default perms - bug 507436
65 + diropts -m0700
66 + insopts -m0600
67 +
68 + insinto /usr/share/${PN}
69 + doins -r db/ include/ plugins/
70 +
71 + dosbin lynis
72 +
73 + insinto /etc/${PN}
74 + doins default.prf
75 + sed -i -e 's/\/path\/to\///' "${S}/extras/systemd/${PN}.service" || die "Sed Failed!"
76 + systemd_dounit "${S}/extras/systemd/${PN}.service" || die "Sed Failed!"
77 + systemd_dounit "${S}/extras/systemd/${PN}.timer"
78 +
79 + if ! use cron; then
80 + ebegin "removing cron files from installation image"
81 + rm -rfv "${ED}/etc/cron.daily" || die
82 + eend "$?"
83 + fi
84 +}
85 +
86 +pkg_postinst() {
87 + if use cron; then
88 + if systemd_is_booted || has_version sys-apps/systemd; then
89 + echo
90 + ewarn "Both 'cron' and 'systemd' flags are enabled."
91 + ewarn "So both ${PN}.target and cron files were installed."
92 + ewarn "Please don't use 2 implementations at the same time."
93 + ewarn "Cronjobs are usually enabled by default via /etc/cron.* jobs"
94 + ewarn "If you want to use systemd ${PN}.target timers"
95 + ewarn "disable 'cron' flag and reinstall ${PN}"
96 + echo
97 + else
98 + einfo "A cron script has been installed to ${ROOT}/etc/cron.daily/lynis."
99 + fi
100 + fi
101 +}